Subject: Re: bug#4808: 23.1.50; calc-quit move point to another window

From: Jay Belanger <[email-masked]>
Date: Mon, 26 Oct 2009 21:30:57 -0500

Leo <[email-masked]> writes:
...
> Lately I have been using a three-window setup for writing in LaTeX and I
> have found that calc move point to another window, which I am not sure
> is desirable.
>
> My frame setup is as follows with point in window 1.
>
>     +------------------+----------+
>     |                  |          |
>     |                  |     2    |
>     |                  |          |
>     |                  |          |
>     |         1        +----------+
>     |                  |          |
>     |                  |     3    |
>     |                  |          |
>     |                  |          |
>     +------------------+----------+
>
> Now `M-x calc' and then quit it with 'q'. You will see point moved to
> window 2. This is reproducible with Emacs -q.

I'm not sure this is a Calc problem; `calc-quit' will (aside from some
bookkeeping) delete the calc window and bury the buffer.  If, in the
above configuration, you split window 1

     +------------------+----------+
     |                  |          |
     |                  |     2    |
     |        1         |          |
     |                  |          |
     |------------------+----------+
     |                  |          |
     |        4         |     3    |
     |                  |          |
     |                  |          |
     +------------------+----------+

(and have 4 a different buffer, of course), move the cursor from window
1 to window 4, then delete window 4, the cursor will end up in window 2.
This seems more like a quirk of deleting windows than anything else.
Calc could make efforts to avoid this particular situation, but relying
on standard Emacs behavior seems like the best choice.

Jay